## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  check

%global srcname ebranch
%global _description %{expand:
A tool for branching Fedora packages for EPEL.

It allows:
- calculating the transitive closure of missing build dependencies
- calculating the chain-build ordering
- filing branch requests for the missing build dependencies}

Name:           python-%{srcname}
Version:        0.0.3
Release:        %autorelease
Summary:        Tool for branching Fedora packages for EPEL

License:        GPL-2.0-or-later
URL:            https://pagure.io/epel/ebranch
Source:         %pypi_source
Patch:          https://pagure.io/epel/ebranch/c/64f83714a66912e6d4ab303de9f9b56f95126f1a.patch#/%{srcname}-remove-shebangs.diff

BuildArch:      noarch

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
Requires:       python-bugzilla-cli
Requires:       rpmdistro-repoquery >= 0^20230201

%description -n %{srcname} %{_description}


%prep
%autosetup -p 1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r requirements-test.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%if %{with check}
%check
%pytest
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING.md
%doc README.md
%{_bindir}/%{srcname}


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.0.3-3
- Rebuilt for Python 3.12

* Thu Mar 16 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.3-2
- Add missing dependency on python-bugzilla-cli

* Thu Feb 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.3-1
- Initial Fedora package
## END: Generated by rpmautospec
